> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Category Translation

> Returns all the locales for which translation is uploaded for preference categories.



## OpenAPI

````yaml GET /v1/{workspace}/preference_category/translation/locale/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/{workspace}/preference_category/translation/locale/:
    get:
      summary: List Category Translations
      description: >-
        Returns all the locales for which translation is uploaded for preference
        categories.
      operationId: list-category-translation-locales
      parameters:
        - in: path
          name: workspace
          required: true
          schema:
            type: string
          description: Workspace slug (staging, production, etc.)
          example: my-workspace
      responses:
        '200':
          description: Successfully retrieved list of translation locales
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    description: >-
                      Array of locale objects for which translations are
                      available
                    items:
                      type: object
                      properties:
                        locale:
                          type: string
                          description: Locale code (e.g., en, es, es-AR)
                          example: es
              example:
                results:
                  - locale: en
                  - locale: en-NA
                  - locale: es
                  - locale: es-AR
                  - locale: es-BO
        '401':
          description: ServiceToken not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 401
                  message:
                    type: string
                    example: ServiceToken not found
              example:
                code: 401
                message: ServiceToken not found
        '404':
          description: Workspace not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 404
                  message:
                    type: string
                    example: 'workspace not found for slug/uid: workspace'
              example:
                code: 404
                message: 'workspace not found for slug/uid: workspace'
      security:
        - ServiceTokenAuth: []
      servers:
        - url: https://management-api.suprsend.com
      x-codeSamples:
        - lang: cURL
          label: List Translation
          source: >
            curl -X GET
            "https://management-api.suprsend.com/v1/{workspace}/preference_category/translation/locale/"
            \
              --header "Authorization: ServiceToken {token}" \
              --header "Content-Type: application/json"
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.
    ServiceTokenAuth:
      type: apiKey
      in: header
      name: ServiceToken <token>
      description: >-
        You can get Service Token from [SuprSend dashboard -> Account Settings
        -> Service
        Tokens](https://app.suprsend.com/en/account-settings/service-tokens)
        section.

````